<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_65) on Fri Aug 22 15:07:04 CEST 2014 -->
<title>Uses of Class fr.inria.alpage.frmgcm.dpp.Token</title>
<meta name="date" content="2014-08-22">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Uses of Class fr.inria.alpage.frmgcm.dpp.Token";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?fr/inria/alpage/frmgcm/dpp/class-use/Token.html" target="_top">Frames</a></li>
<li><a href="Token.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class fr.inria.alpage.frmgcm.dpp.Token" class="title">Uses of Class<br>fr.inria.alpage.frmgcm.dpp.Token</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp">Token</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#fr.inria.alpage.frmgcm.dpp">fr.inria.alpage.frmgcm.dpp</a></td>
<td class="colLast">
<div class="block">This package contains generated classes used for parsing dpath language.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="fr.inria.alpage.frmgcm.dpp">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp">Token</a> in <a href="../../../../../../fr/inria/alpage/frmgcm/dpp/package-summary.html">fr.inria.alpage.frmgcm.dpp</a></h3>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../../../fr/inria/alpage/frmgcm/dpp/package-summary.html">fr.inria.alpage.frmgcm.dpp</a> declared as <a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp">Token</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp">Token</a></code></td>
<td class="colLast"><span class="strong">ParseException.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/ParseException.html#currentToken">currentToken</a></strong></code>
<div class="block">This is the last token that has been consumed successfully.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp">Token</a></code></td>
<td class="colLast"><span class="strong">DPathParser.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html#jj_nt">jj_nt</a></strong></code>
<div class="block">Next token.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp">Token</a></code></td>
<td class="colLast"><span class="strong">Token.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Token.html#next">next</a></strong></code>
<div class="block">A reference to the next regular (non-special) token from the input
 stream.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp">Token</a></code></td>
<td class="colLast"><span class="strong">Token.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Token.html#specialToken">specialToken</a></strong></code>
<div class="block">This field is used to access special tokens that occur prior to this
 token, but after the immediately preceding regular (non-special) token.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp">Token</a></code></td>
<td class="colLast"><span class="strong">DPathParser.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html#token">token</a></strong></code>
<div class="block">Current token.</div>
</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../fr/inria/alpage/frmgcm/dpp/package-summary.html">fr.inria.alpage.frmgcm.dpp</a> that return <a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp">Token</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp">Token</a></code></td>
<td class="colLast"><span class="strong">DPathParserTokenManager.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html#getNextToken()">getNextToken</a></strong>()</code>
<div class="block">Get the next Token.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp">Token</a></code></td>
<td class="colLast"><span class="strong">DPathParser.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html#getNextToken()">getNextToken</a></strong>()</code>
<div class="block">Get the next Token.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp">Token</a></code></td>
<td class="colLast"><span class="strong">DPathParser.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html#getToken(int)">getToken</a></strong>(int&nbsp;index)</code>
<div class="block">Get the specific Token.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp">Token</a></code></td>
<td class="colLast"><span class="strong">DPathParser.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html#jj_consume_token(int)">jj_consume_token</a></strong>(int&nbsp;kind)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp">Token</a></code></td>
<td class="colLast"><span class="strong">DPathParserTokenManager.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html#jjFillToken()">jjFillToken</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp">Token</a></code></td>
<td class="colLast"><span class="strong">Token.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Token.html#newToken(int)">newToken</a></strong>(int&nbsp;ofKind)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp">Token</a></code></td>
<td class="colLast"><span class="strong">Token.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Token.html#newToken(int,%20java.lang.String)">newToken</a></strong>(int&nbsp;ofKind,
        java.lang.String&nbsp;image)</code>
<div class="block">Returns a new Token object, by default.</div>
</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../fr/inria/alpage/frmgcm/dpp/package-summary.html">fr.inria.alpage.frmgcm.dpp</a> with parameters of type <a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp">Token</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<td class="colLast"><span class="strong">ParseException.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/ParseException.html#initialise(fr.inria.alpage.frmgcm.dpp.Token,%20int[][],%20java.lang.String[])">initialise</a></strong>(<a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp">Token</a>&nbsp;currentToken,
          int[][]&nbsp;expectedTokenSequences,
          java.lang.String[]&nbsp;tokenImage)</code>
<div class="block">It uses "currentToken" and "expectedTokenSequences" to generate a parse
 error message and returns it.</div>
</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../../../fr/inria/alpage/frmgcm/dpp/package-summary.html">fr.inria.alpage.frmgcm.dpp</a> with parameters of type <a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp">Token</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/ParseException.html#ParseException(fr.inria.alpage.frmgcm.dpp.Token,%20int[][],%20java.lang.String[])">ParseException</a></strong>(<a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp">Token</a>&nbsp;currentTokenVal,
              int[][]&nbsp;expectedTokenSequencesVal,
              java.lang.String[]&nbsp;tokenImageVal)</code>
<div class="block">This constructor is used by the method "generateParseException"
 in the generated parser.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?fr/inria/alpage/frmgcm/dpp/class-use/Token.html" target="_top">Frames</a></li>
<li><a href="Token.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
